Functions

# arm_rfft_f32.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions
void | arm_split_rfft_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pATable, float32_t *pBTable, float32_t *pDst, uint32_t modifier)
void | arm_split_rifft_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pATable, float32_t *pBTable, float32_t *pDst, uint32_t modifier)
void | arm_rfft_f32 (const arm_rfft_instance_f32 *S, float32_t *pSrc, float32_t *pDst)

## Function Documentation

void arm_split_rfft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pATable,
|  | float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Core Real FFT process.

end of RFFT_RIFFT group

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 218 of file arm_rfft_f32.c.

void arm_split_rifft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pATable,
|  | float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Core Real IFFT process.

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 316 of file arm_rfft_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines